-- todo: this could likely be done better, and elsewhere.
local function GetAspect()
	return math.floor(PREFSMAN:GetPreference("DisplayAspectRatio") * 10) / 10;
end;

local maxY = 3;
if GetAspect() >= 1.7 then
	-- 16/9
	maxY = 3.95;
elseif GetAspect() == 1.6 then
	-- 16/10
	maxY = 3.75;
else
	-- assumed 4/3
	maxY = 3;
end;

local t = Def.ActorFrame{
	LoadActor( THEME:GetPathB("ScreenAlternate","background") );
	LoadActor("back1")..{
		InitCommand=cmd(FullScreen;diffusealpha,0.9;texcoordvelocity,0,-0.6;customtexturerect,0,0,GetTileCoordX(),maxY);
	};
	LoadActor("rank1")..{
		InitCommand=cmd(x,SCREEN_CENTER_X*1.6;y,SCREEN_TOP+92;bob;effectmagnitude,0,5,0;);
	};

	LoadActor("rank2")..{
		InitCommand=cmd(x,SCREEN_CENTER_X*0.2875;y,SCREEN_BOTTOM-60;bob;effectmagnitude,0,5,0;);
	};
};

return t;